# Links API

This is an API reference for the Links service. The Links API enables you to programmatically generate secure payment links for your customers with comprehensive configuration options for payment methods, customer data collection, and post-payment behaviours.

Version: 1.0.0

## Servers

Production environment
```
https://api-services.pxp.io/api/v1
```

Sandbox environment
```
https://api-services.test.pxp.io/api/v1
```

## Security

### PXP-UST1

PXP-UST1 authentication with HMAC-SHA256 signature. Format: PXP-UST1 {tokenId}:{timestamp}:{hmac}

Type: apiKey
In: header
Name: Authorization

## Download OpenAPI description

[Links API](https://developer.pxp.io/_bundle/apis/links.yaml)

## Other

### Create a payment link

 - [POST /links](https://developer.pxp.io/apis/links/other/create-payment-link.md): Generate a secure payment link for customers. Supports both single-use and multi-use payment links with comprehensive configuration options for payment methods, customer data collection, and post-payment behaviours.

